LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_CPP_EXTENSION := .cc

LOCAL_SRC_FILES := \
	base/at_exit.cc \
	base/atomicops_internals_x86_gcc.cc \
	base/base64.cc \
	base/base_paths.cc \
	base/base_paths_posix.cc \
	base/base_switches.cc \
	base/bzip2_error_handler.cc \
	base/cancellation_flag.cc \
	base/command_line.cc \
	base/condition_variable_posix.cc \
	base/crypto/rsa_private_key.cc \
	base/data_pack.cc \
	base/debug_util.cc \
	base/debug_util_posix.cc \
	base/directory_watcher_inotify.cc \
	base/dynamic_annotations.cc \
	base/event_recorder_stubs.cc \
	base/field_trial.cc \
	base/file_descriptor_shuffle.cc \
	base/file_path.cc \
	base/file_util.cc \
	base/file_util_linux.cc \
	base/file_util_posix.cc \
	base/global_descriptors_posix.cc \
	base/histogram.cc \
	base/hmac_nss.o \
	base/i18n/file_util_icu.cc \
	base/i18n/icu_string_conversions.cc \
	base/i18n/icu_util.cc \
	base/i18n/number_formatting.cc \
	base/i18n/time_formatting.cc \
	base/i18n/word_iterator.cc \
	base/json/json_reader.cc \
	base/json/json_writer.cc \
	base/json/string_escape.cc \
	base/lazy_instance.cc \
	base/linux_util.cc \
	base/lock.cc \
	base/lock_impl_posix.cc \
	base/logging.cc \
	base/md5.cc \
	base/memory_debug.cc \
	base/message_loop.cc \
	base/message_pump_default.cc \
	base/message_pump_libevent.cc \
	base/mime_util_linux.cc \
	base/native_library_linux.cc \
	base/non_thread_safe.cc \
	base/path_service.cc \
	base/pickle.cc \
	base/platform_file_posix.cc \
	base/platform_thread_posix.cc \
	base/process_linux.cc \
	base/process_posix.cc \
	base/process_util_linux.cc \
	base/process_util_posix.cc \
	base/profiler.cc \
	base/rand_util.cc \
	base/rand_util_posix.cc \
	base/ref_counted.cc \
	base/safe_strerror_posix.cc \
	base/scoped_temp_dir.cc \
	base/setproctitle_linux.c \
	base/sha1.cc \
	base/sha2.cc \
	base/shared_memory_posix.cc \
	base/simple_thread.cc \
	base/stats_table.cc \
	base/string16.cc \
	base/string_piece.cc \
	base/string_split.cc \
	base/string_util.cc \
	base/sync_socket_posix.cc \
	base/sys_info_linux.cc \
	base/sys_info_posix.cc \
	base/sys_string_conversions_linux.cc \
	base/third_party/dmg_fp/dtoa.cc \
	base/third_party/dmg_fp/g_fmt.cc \
	base/third_party/icu/icu_utf.cc \
	base/third_party/nspr/prtime.cc \
	base/third_party/nss/sha512.cc \
	base/third_party/xdg_mime/xdgmime.c \
	base/third_party/xdg_mime/xdgmimealias.c \
	base/third_party/xdg_mime/xdgmimecache.c \
	base/third_party/xdg_mime/xdgmimeglob.c \
	base/third_party/xdg_mime/xdgmimeicon.c \
	base/third_party/xdg_mime/xdgmimeint.c \
	base/third_party/xdg_mime/xdgmimemagic.c \
	base/third_party/xdg_mime/xdgmimeparent.c \
	base/third_party/xdg_user_dirs/xdg_user_dir_lookup.cc \
	base/thread.cc \
	base/thread_collision_warner.cc \
	base/thread_local_posix.cc \
	base/thread_local_storage_posix.cc \
	base/time.cc \
	base/time_posix.cc \
	base/timer.cc \
	base/trace_event.cc \
	base/tracked.cc \
	base/tracked_objects.cc \
	base/unix_domain_socket_posix.cc \
	base/utf_offset_string_conversions.cc \
	base/utf_string_conversion_utils.cc \
	base/utf_string_conversions.cc \
	base/values.cc \
	base/version.cc \
	base/waitable_event_posix.cc \
	base/waitable_event_watcher_posix.cc \
	base/watchdog.cc \
	base/worker_pool_linux.cc \
	\
	googleurl/src/gurl.cc \
	googleurl/src/url_canon_etc.cc \
	googleurl/src/url_canon_fileurl.cc \
	googleurl/src/url_canon_host.cc \
	googleurl/src/url_canon_icu.cc \
	googleurl/src/url_canon_internal.cc \
	googleurl/src/url_canon_ip.cc \
	googleurl/src/url_canon_mailtourl.cc \
	googleurl/src/url_canon_path.cc \
	googleurl/src/url_canon_pathurl.cc \
	googleurl/src/url_canon_query.cc \
	googleurl/src/url_canon_relative.cc \
	googleurl/src/url_canon_stdurl.cc \
	googleurl/src/url_parse.cc \
	googleurl/src/url_parse_file.cc \
	googleurl/src/url_util.cc \
	\
	net/base/address_list.cc \
	net/base/cert_status_flags.cc \
	net/base/connection_type_histograms.cc \
	net/base/cookie_monster.cc \
	net/base/data_url.cc \
	net/base/directory_lister.cc \
	net/base/dns_util.cc \
	net/base/escape.cc \
	net/base/file_stream_posix.cc \
	net/base/filter.cc \
	net/base/fixed_host_resolver.cc \
	net/base/gzip_filter.cc \
	net/base/gzip_header.cc \
	net/base/host_cache.cc \
	net/base/host_resolver.cc \
	net/base/host_resolver_impl.cc \
	net/base/host_resolver_proc.cc \
	net/base/https_prober.cc \
	net/base/io_buffer.cc \
	net/base/listen_socket.cc \
	net/base/load_log.cc \
	net/base/load_log_util.cc \
	net/base/mime_sniffer.cc \
	net/base/mime_util.cc \
	net/base/mock_host_resolver.cc \
	net/base/net_errors.cc \
	net/base/net_module.cc \
	net/base/net_util.cc \
	net/base/net_util_posix.cc \
	net/base/network_change_notifier.cc \
	net/base/network_change_notifier_helper.cc \
	net/base/network_change_notifier_linux.cc \
	net/base/platform_mime_util_linux.cc \
	net/base/registry_controlled_domain.cc \
	net/base/sdch_filter.cc \
	net/base/sdch_manager.cc \
	net/base/ssl_client_auth_cache.cc \
	net/base/ssl_config_service.cc \
	net/base/static_cookie_policy.cc \
	net/base/telnet_server.cc \
	net/base/transport_security_state.cc \
	net/base/upload_data.cc \
	net/base/upload_data_stream.cc \
	net/base/x509_certificate.cc \
	net/disk_cache/addr.cc \
	net/disk_cache/backend_impl.cc \
	net/disk_cache/bitmap.cc \
	net/disk_cache/block_files.cc \
	net/disk_cache/cache_util_posix.cc \
	net/disk_cache/entry_impl.cc \
	net/disk_cache/eviction.cc \
	net/disk_cache/file_lock.cc \
	net/disk_cache/file_posix.cc \
	net/disk_cache/hash.cc \
	net/disk_cache/mapped_file_posix.cc \
	net/disk_cache/mem_backend_impl.cc \
	net/disk_cache/mem_entry_impl.cc \
	net/disk_cache/mem_rankings.cc \
	net/disk_cache/rankings.cc \
	net/disk_cache/sparse_control.cc \
	net/disk_cache/stats.cc \
	net/disk_cache/stats_histogram.cc \
	net/disk_cache/trace.cc \
	net/flip/flip_frame_builder.cc \
	net/flip/flip_framer.cc \
	net/flip/flip_io_buffer.cc \
	net/flip/flip_network_transaction.cc \
	net/flip/flip_session.cc \
	net/flip/flip_session_pool.cc \
	net/flip/flip_stream.cc \
	net/ftp/ftp_auth_cache.cc \
	net/ftp/ftp_ctrl_response_buffer.cc \
	net/ftp/ftp_directory_listing_buffer.cc \
	net/ftp/ftp_directory_listing_parser.cc \
	net/ftp/ftp_directory_listing_parser_ls.cc \
	net/ftp/ftp_directory_listing_parser_mlsd.cc \
	net/ftp/ftp_directory_listing_parser_netware.cc \
	net/ftp/ftp_directory_listing_parser_vms.cc \
	net/ftp/ftp_directory_listing_parser_windows.cc \
	net/ftp/ftp_network_layer.cc \
	net/ftp/ftp_network_transaction.cc \
	net/ftp/ftp_server_type_histograms.cc \
	net/ftp/ftp_util.cc \
	net/http/http_auth.cc \
	net/http/http_auth_cache.cc \
	net/http/http_auth_handler.cc \
	net/http/http_auth_handler_basic.cc \
	net/http/http_auth_handler_digest.cc \
	net/http/http_auth_handler_negotiate_posix.cc \
	net/http/http_auth_handler_ntlm.cc \
	net/http/http_auth_handler_ntlm_portable.cc \
	net/http/http_basic_stream.cc \
	net/http/http_byte_range.cc \
	net/http/http_cache.cc \
	net/http/http_cache_transaction.cc \
	net/http/http_chunked_decoder.cc \
	net/http/http_network_layer.cc \
	net/http/http_network_session.cc \
	net/http/http_network_transaction.cc \
	net/http/http_response_headers.cc \
	net/http/http_response_info.cc \
	net/http/http_stream_parser.cc \
	net/http/http_util.cc \
	net/http/http_util_icu.cc \
	net/http/http_vary_data.cc \
	net/http/md4.cc \
	net/http/partial_data.cc \
	net/proxy/init_proxy_resolver.cc \
	net/proxy/proxy_config.cc \
	net/proxy/proxy_info.cc \
	net/proxy/proxy_list.cc \
	net/proxy/proxy_resolver_js_bindings.cc \
	net/proxy/proxy_script_fetcher.cc \
	net/proxy/proxy_server.cc \
	net/proxy/proxy_service.cc \
	net/proxy/single_threaded_proxy_resolver.cc \
	net/socket/client_socket_factory.cc \
	net/socket/client_socket_handle.cc \
	net/socket/client_socket_pool_base.cc \
	net/socket/socks5_client_socket.cc \
	net/socket/socks_client_socket.cc \
	net/socket/tcp_client_socket_libevent.cc \
	net/socket/tcp_client_socket_pool.cc \
	net/socket_stream/socket_stream.cc \
	net/socket_stream/socket_stream_metrics.cc \
	net/socket_stream/socket_stream_throttle.cc \
	net/url_request/url_request.cc \
	net/url_request/url_request_about_job.cc \
	net/url_request/url_request_data_job.cc \
	net/url_request/url_request_error_job.cc \
	net/url_request/url_request_file_dir_job.cc \
	net/url_request/url_request_file_job.cc \
	net/url_request/url_request_filter.cc \
	net/url_request/url_request_http_job.cc \
	net/url_request/url_request_job.cc \
	net/url_request/url_request_job_manager.cc \
	net/url_request/url_request_job_metrics.cc \
	net/url_request/url_request_job_tracker.cc \
	net/url_request/url_request_new_ftp_job.cc \
	net/url_request/url_request_redirect_job.cc \
	net/url_request/url_request_simple_job.cc \
	net/url_request/url_request_view_net_internals_job.cc \
	net/url_request/view_cache_helper.cc \
	net/websockets/websocket.cc \
	net/websockets/websocket_throttle.cc \
	\
	sdch/open-vcdiff/src/addrcache.cc \
	sdch/open-vcdiff/src/adler32.c \
	sdch/open-vcdiff/src/blockhash.cc \
	sdch/open-vcdiff/src/codetable.cc \
	sdch/open-vcdiff/src/decodetable.cc \
	sdch/open-vcdiff/src/encodetable.cc \
	sdch/open-vcdiff/src/headerparser.cc \
	sdch/open-vcdiff/src/instruction_map.cc \
	sdch/open-vcdiff/src/logging.cc \
	sdch/open-vcdiff/src/varint_bigendian.cc \
	sdch/open-vcdiff/src/vcdecoder.cc \
	sdch/open-vcdiff/src/vcdiffengine.cc \
	\

# Need to build libevent separately (possibly other libs as well)
#\
	third_party/libevent/buffer.c \
	third_party/libevent/devpoll.c \
	third_party/libevent/epoll.c \
	third_party/libevent/epoll_sub.c \
	third_party/libevent/evbuffer.c \
	third_party/libevent/evdns.c \
	third_party/libevent/event.c \
	third_party/libevent/event_tagging.c \
	third_party/libevent/evrpc.c \
	third_party/libevent/evutil.c \
	third_party/libevent/http.c \
	third_party/libevent/log.c \
	third_party/libevent/poll.c \
	third_party/libevent/select.c \
	third_party/libevent/signal.c \
	third_party/libevent/strlcpy.c \

LOCAL_SRC_FILES += \
	third_party/zlib/contrib/minizip/ioapi.c \
	third_party/zlib/contrib/minizip/unzip.c \
	third_party/zlib/contrib/minizip/zip.c

# external/chromium/android is a directory to intercept stl headers that we do
# not support yet.
LOCAL_C_INCLUDES := \
	$(LOCAL_PATH)/android \
	$(LOCAL_PATH)/sdch/linux \
	$(LOCAL_PATH)/sdch/open-vcdiff/src \
	$(LOCAL_PATH)/third_party/libevent/compat \
	external/icu4c/common \
	external/icu4c/i18n

#include external/stlport/libstlport.mk

# include a prefix header for missing headers or definitions.
LOCAL_CFLAGS := -include "android/prefix.h"

LOCAL_MODULE := chromium_net

LOCAL_SHARED_LIBRARIES := libstlport

#include $(BUILD_STATIC_LIBRARY)
